<div class="card-informacion" *ngIf="datos.isProduct; else Emprendimiento">
  <p-dialog [(visible)]="datos.show" (onHide)="cerrarDialog()" [style]="{width: '40vw', height: '60vh'}">
    <h4 class="titulo">{{ producto.Nombre }}</h4>

    <!-- Mini galeria de imagenes -->
    <div class="imagen">
      <figure class="imagen-principal">
        <p-image [src]="imagenPrincipal"></p-image>
      </figure>
      <div class="imagenes-cambiar">
        <figure *ngFor="let imagen of listaImagenes" (click)="cambiarImagenPrincipal(imagen)">
          <img [src]="imagen">
        </figure>
      </div>
    </div>

    <!-- Detalle del producto -->
    <div class="contenido-detalle">
      <p>{{ producto.Descripcion }}</p>
      <span class="precio-categoria font-semibold">Bs. {{ producto.PrecioVenta }}</span>
      <span class="categoriaProducto font-semibold"><i class="uil uil-tag-alt"></i> {{ producto.CategoriaProducto.Nombre }}</span>
      <span class="stock {{ producto.obtenerClasePorStock(producto.StockRestante, producto.StockTotal) }}">{{
        producto.obtenerEstadoPorStock(producto.StockRestante, producto.StockTotal, nombreUnidadSIN) }}</span>
      <a class="link_style" (click)="verEmprendimiento(producto.IdEmpresa)">Visitar tienda</a>
    </div>
  </p-dialog>
</div>

<ng-template #Emprendimiento>
  <div class="card-informacion">
    <p-dialog [(visible)]="datos.show" (onHide)="cerrarDialog()" [style]="{width: '40vw', height: '60vh'}">
      <h4 class="titulo">{{ emprendimiento.NombreEmpresa }}</h4>

      <!-- Mini galeria de imagenes -->
      <div class="imagen">
        <figure class="imagen-principal">
          <img [src]="imagenPrincipal">
        </figure>
        <div class="imagenes-cambiar">
          <figure *ngFor="let imagen of listaImagenes" (click)="cambiarImagenPrincipal(imagen)">
            <img [src]="imagen">
          </figure>
        </div>
      </div>

      <!-- Detalle del producto o emprendimiento -->
      <div class="contenido-detalle">
        <span class="precio-categoria">{{ emprendimiento.CategoriaEmpresa.Nombre }}</span>

        <p>{{ emprendimiento.Descripcion }}</p>

        <div class="informacion">
          <a class="link_style"
            href="https://www.google.com/maps/search/?api=1&query={{ emprendimiento.Latitud }},{{ emprendimiento.Longitud }}"
            target="_blank"><img src="../../../../../assets/image/marker.svg"> {{ emprendimiento.Direccion }}</a>
          <a class="link_style" href="https://wa.me/{{ emprendimiento.NumeroCelular}}" target="_blank"><i
              class="uil uil-whatsapp"></i> {{ emprendimiento.NumeroCelular }}</a>

          <p-rating [(ngModel)]="calificacion" [readonly]="true" [cancel]="false"></p-rating>

          <a class="link_style" (click)="verEmprendimiento(emprendimiento.IdEmpresa)">Visita mi tienda</a>
        </div>
      </div>
    </p-dialog>
  </div>
</ng-template>
